# korbyte-api-client
Stock API for Korbyte

This Python package is automatically generated by the [OpenAPI Generator](https://openapi-generator.tech) project:

- API version: 0.0.10
- Package version: 0.0.10
- Build package: org.openapitools.codegen.languages.PythonClientCodegen

## Requirements.

Python 3.7+

## Installation & Usage
### pip install

If the python package is hosted on a repository, you can install directly using:

```sh
pip install git+https://github.com/GIT_USER_ID/GIT_REPO_ID.git
```
(you may need to run `pip` with root permission: `sudo pip install git+https://github.com/GIT_USER_ID/GIT_REPO_ID.git`)

Then import the package:
```python
import korbyte_api_client
```

### Setuptools

Install via [Setuptools](http://pypi.python.org/pypi/setuptools).

```sh
python setup.py install --user
```
(or `sudo python setup.py install` to install the package for all users)

Then import the package:
```python
import korbyte_api_client
```

### Tests

Execute `pytest` to run the tests.

## Getting Started

Please follow the [installation procedure](#installation--usage) and then run the following:

```python

import time
import korbyte_api_client
from korbyte_api_client.rest import ApiException
from pprint import pprint

# Defining the host is optional and defaults to http://localhost:4200
# See configuration.py for a list of all supported configuration parameters.
configuration = korbyte_api_client.Configuration(
    host = "http://localhost:4200"
)



# Enter a context with an instance of the API client
with korbyte_api_client.ApiClient(configuration) as api_client:
    # Create an instance of the API class
    api_instance = korbyte_api_client.DailyApi(api_client)
    id = 56 # int | 

    try:
        api_instance.daily_delete(id)
    except ApiException as e:
        print("Exception when calling DailyApi->daily_delete: %s\n" % e)

```

## Documentation for API Endpoints

All URIs are relative to *http://localhost:4200*

Class | Method | HTTP request | Description
------------ | ------------- | ------------- | -------------
*DailyApi* | [**daily_delete**](docs/DailyApi.md#daily_delete) | **DELETE** /daily/{id} | 
*DailyApi* | [**daily_get_all**](docs/DailyApi.md#daily_get_all) | **GET** /daily | Get the Shit from the Balls
*DailyApi* | [**daily_load**](docs/DailyApi.md#daily_load) | **PUT** /daily/load | Sync all daily data for a stock
*DailyApi* | [**daily_save**](docs/DailyApi.md#daily_save) | **PATCH** /daily | 
*DetailsApi* | [**details_delete**](docs/DetailsApi.md#details_delete) | **DELETE** /details/{id} | 
*DetailsApi* | [**details_load**](docs/DetailsApi.md#details_load) | **PUT** /details/load | 
*DetailsApi* | [**details_save**](docs/DetailsApi.md#details_save) | **PATCH** /details | 
*ExchangesApi* | [**exchanges_delete**](docs/ExchangesApi.md#exchanges_delete) | **DELETE** /exchanges/{id} | 
*ExchangesApi* | [**exchanges_load**](docs/ExchangesApi.md#exchanges_load) | **PUT** /exchanges/load | 
*ExchangesApi* | [**exchanges_save**](docs/ExchangesApi.md#exchanges_save) | **PATCH** /exchanges | 
*PrepareApi* | [**prepare_mapper**](docs/PrepareApi.md#prepare_mapper) | **POST** /prepare/mapper | 
*PrepareApi* | [**prepare_prepare**](docs/PrepareApi.md#prepare_prepare) | **POST** /prepare | 
*PrepareApi* | [**prepare_transform**](docs/PrepareApi.md#prepare_transform) | **POST** /prepare/vectorization | 
*TickersApi* | [**ticker_delete**](docs/TickersApi.md#ticker_delete) | **DELETE** /tickers/{id} | 
*TickersApi* | [**ticker_get_all**](docs/TickersApi.md#ticker_get_all) | **GET** /tickers | 
*TickersApi* | [**ticker_load**](docs/TickersApi.md#ticker_load) | **PUT** /tickers/load | 
*TickersApi* | [**ticker_save**](docs/TickersApi.md#ticker_save) | **PATCH** /tickers | 
*TrackingApi* | [**tracking_delete**](docs/TrackingApi.md#tracking_delete) | **DELETE** /tracking/{id} | 
*TrackingApi* | [**tracking_save**](docs/TrackingApi.md#tracking_save) | **PATCH** /tracking | 
*TrackingApi* | [**tracking_update_by_symbol**](docs/TrackingApi.md#tracking_update_by_symbol) | **PATCH** /tracking/by-symbol | 


## Documentation For Models

 - [ApiResponseEmpty](docs/ApiResponseEmpty.md)
 - [ApiResponseListDateEntry](docs/ApiResponseListDateEntry.md)
 - [ApiResponseMatrix](docs/ApiResponseMatrix.md)
 - [ApiResponseObject](docs/ApiResponseObject.md)
 - [ApiResponsePageDaily](docs/ApiResponsePageDaily.md)
 - [ApiResponsePageTicker](docs/ApiResponsePageTicker.md)
 - [ApiResponseTracking](docs/ApiResponseTracking.md)
 - [Daily](docs/Daily.md)
 - [DateEntry](docs/DateEntry.md)
 - [Details](docs/Details.md)
 - [Exchange](docs/Exchange.md)
 - [Matrix](docs/Matrix.md)
 - [PageDaily](docs/PageDaily.md)
 - [PageTicker](docs/PageTicker.md)
 - [PageableObject](docs/PageableObject.md)
 - [PrepareParams](docs/PrepareParams.md)
 - [SortObject](docs/SortObject.md)
 - [Ticker](docs/Ticker.md)
 - [Tracking](docs/Tracking.md)


<a id="documentation-for-authorization"></a>
## Documentation For Authorization

Endpoints do not require authorization.


## Author




